<?php

/* DCMS Special
 * Дата последнего редактирования 10.10.2016
 * Модифицировал densnet
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "sys/inc/$inc.php";
}

only_reg();
$set['title'] = lang('Сообщества');
require_once 'sys/inc/thead.php';

if (isset($_GET['add']) && isset($_POST['name']) && $_POST['name'] != NULL && isset($_POST['post'])) {

    if ($_POST['name'] == NULL) {
        $err = lang('Введите название сообщества');
    } elseif ($_POST['post'] == NULL) {
        $err[] = lang('Введите описание сообщества');
    } elseif (!preg_match("#^([A-zА-я0-9\-\_\(\)\ ])+$#ui", $_POST['name'])) {
        $err[] = lang('В названии присутствуют запрещенные символы');
    } elseif (!preg_match("#^([A-zА-я0-9\-\_\(\)\ ])+$#ui", $_POST['post'])) {
        $err[] = lang('В описании присутствуют запрещенные символы');
    } elseif (preg_match("#(^\ )|(\ $)#ui", $_POST['name'])) {
        $err[] = lang('Запрещено использовать пробел в начале и конце названия');
    } elseif (preg_match("#(^\ )|(\ $)#ui", $_POST['post'])) {
        $err[] = lang('Запрещено использовать пробел в начале и конце описания');
    } else {
        $post = $_POST['post'];
        $name = $_POST['name'];

        if (utf8_strlen($name) < 5) {
            $err = lang('Слишком короткое название');
        }
        if (utf8_strlen($name) > 100) {
            $err = lang('Слишком длинное название');
        }
        if (utf8_strlen($post) < 10) {
            $err = lang('Короткое описание');
        }
        if (utf8_strlen($post) > 1000) {
            $err = lang('Слишком длинное описание');
        }

        if (isset($_POST['privat'])) {
            if ($_POST['privat'] == 1) {
                $privat = '1';
            } else {
                $privat = '0';
            }
        } else {
            $privat = '0';
        }

        if (!isset($err)) {
            $db->query("INSERT INTO `public` (`id_user`, `name`, `post`, `podpis`, `time`, `privat`) values('" . $user['id'] . "', '" . $db->safesql($name) . "', '" . $db->safesql($post) . "', '1', '$time', '$privat')");

            $id_public = $db->insert_id();
            if ($_POST['privat'] == 1) {
                $db->query("INSERT INTO `public_coint` (`id_public`, `id_user`, `privat`) values('" . $id_public . "', '" . $user['id'] . "', '1')");
            } else {
                $db->query("INSERT INTO `public_coint` (`id_public`, `id_user`) values('" . $id_public . "', '" . $user['id'] . "')");
            }
            $_SESSION['message'] = lang('Сообщество успешно создано');

            header("Location: " . DIR_PUBLIC . "index.php?id=$id_public");
            exit();
        }
    }
}

if (isset($_GET['del']) && $_GET['del'] == 'del' && intval($_GET['id'])) {
    if ($user['level'] > 2) {
        $db->query("DELETE FROM `public_coint` WHERE `id_public` = '" . intval($_GET['id']) . "'");
        $db->query("DELETE FROM `public` WHERE `id` = '" . intval($_GET['id']) . "'");
        $db->query("OPTIMIZE TABLE `public_coint`");
        $db->query("OPTIMIZE TABLE `public`");

        $_SESSION['message'] = lang('Сообщество успешно удалено');

        header("Location: /public.php");
        exit();
    } else {
        $msg = lang('Совершил попытку удаления сообщества');
        $db->query("INSERT INTO `events` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '1', '" . $msg . "', '$time')");

        $_SESSION['message'] = lang('Администрация уведомлена');
        header("Location: /public.php");
        exit;
    }
}

aut();
err();


if (isset($user) and isset($_GET['add']) && $_GET['add'] == 'add') {
    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo "<a href='/public.php'>" . lang('Сообщества') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo lang('Новое сообщество');
    echo "</small></div><br />";

    echo "<form class='list-group-item-null' method='post' action='?add'>";

    $doc->Input('name', 'Название сообщества', 250, null, 'form-control', 'text', 'required');
    echo lang('Описание сообщества') . "<br />";
    echo "<textarea name='post' required class='form-control'></textarea><br />";
    $doc->Checkbox('privat', 'Закрытое сообщество', 1, null, 'lock');
    echo "<br />";
    $doc->Button('btn btn-primary btn-sm', null, 'plus', 'Создать');
    echo "</form>";
} else {

    #Навигация
    echo "<div class='list-group-item-null list-group-item-grey'><small>";
    echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
    echo lang('Сообщества');
    echo "</small></div>";

    if (isset($user)) {
        echo "<div class='list-group-item-null'>";
        $doc->Link('btn btn-secondary btn-sm', "/public.php?add=add", 'plus', 'Создать');
        $doc->Link('btn btn-secondary btn-sm', "" . DIR_PUBLIC . "user.php?id=$user[id]&amp;ank=ank", 'user', 'Мои сообщества');
        echo "</div>";
    }

    include_once H . '' . DIR_PUBLIC . 'web.php';
}

include_once H . 'sys/inc/tfoot.php';
